Subject: Re: [PATCH] builtin-commit: avoid always using reduce_heads()

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 6 Oct 2008 07:19:03 -0700

Miklos Vajna <[email-masked]> wrote:
> In case git merge --no-ff is used with --no-commit or we have a
> conflict, write info about if fast forwards are allowed or not to
> $GIT_DIR/MERGE_MODE.
 
> On Fri, Oct 03, 2008 at 07:59:15AM -0700, "Shawn O. Pearce" <[email-masked]> wrote:
> > ./test-lib.sh: line 237:   362 Segmentation fault      git commit -m
> > initial
> > * FAIL 1: setup
> >
> > I leave the debugging to you.  ;-)
> 
> That's weird, make test passed for me before I sent this patch. It was
> based on 15dc66a.
> 
> Now I squashed in Gabor's patch and rebased it against 52e8370, I hope
> it fixed the issue (make test still passes for me).

Yea, Gabor's patch squashed in is what was needed.  This is already
in next; it was there on Friday.  But thanks anyway.

-- 
Shawn.